Get withdrawal history
GET/withdrawalHistory
Returns all past withdrawals for your account.
This is a private endpoint. To send requests, you need to authenticate.
Rate limit weight points: 5
Request
Query Parameters
The asset for which you want to retrieve past withdrawals. If not specified, all withdrawals are returned.
Possible values: >= 1 and <= 1000
The maximum number of withdrawals to return, from latest to earliest.
500Possible values: >= 0
The Unix timestamp starting from which to return withdrawals.
Possible values: <= 8640000000000000
The Unix timestamp up to which to return withdrawals.
Responses
- 200
- 4XX
The request was successful.
- application/json
- Schema
- Example (body)
Schema
The Unix timestamp when the withdrawal was made.
1542967486256The asset that was withdrawn.
BTCThe quantity of the asset that was withdrawn.
0.99994The address where the withdrawal was made.
BitcoinAddressThe unique identifier of the withdrawal. It is sometimes called note, memo, or tag. Not returned if not specified in the request.
10002653The unique identifier of the transaction on the blockchain.
927b3ea50c5bb52c6854152d305dfa1e27fc01d10464cf10825d96d69d235eb3
The status of the withdrawal.
Possible values: [awaiting_processing, awaiting_email_confirmation, awaiting_bitvavo_inspection, approved, sending, in_mempool, processed, completed, canceled]
{
"timestamp": 1542967486256,
"symbol": "BTC",
"amount": "0.99994",
"address": "BitcoinAddress",
"paymentId": "10002653",
"txId": "927b3ea50c5bb52c6854152d305dfa1e27fc01d10464cf10825d96d69d235eb3\n",
"fee": "0.00006",
"status": "awaiting_processing"
}
For error codes, see Handle errors.